function g = GradientCyclo(y,LFilter,NbIterationMax,Seuil,FreqCycl);
iExtractedSource = 1;
% function GradientJallon.m
    % SISO Filter initialization
    g = zeros(LFilter,size(y,1));
    g(iExtractedSource,size(y,1)) = 1;
    
    % Extracting one source signal :
    Newg = zeros(LFilter,size(y,1));
    Newg(iExtractedSource,1) = 1;


    iIteration = 1;
    while (and(iIteration<floor(NbIterationMax),sqrt(sum(sum(abs(Newg-g).^2))/ sum(sum(abs(g).^2)))>Seuil ))
    %while (iIteration<floor(NbIterationMax))
        g = Newg;
	    r = ComputeSignal(g,y);
	    g = g./sqrt(mean(abs(r).^2));
	
	    if (isreal(y)==1)
            % Gradient algorithm    
            [grad] = ComputeGradientR(g,y,FreqCycl);
            [Step] = ComputeOptimalStepR(ComputeSignal(g,y),ComputeSignal(grad,y),FreqCycl);
            Newg = g+Step*grad;                
        else
            % Gradient algorithm    
            [grad] = ComputeGradient(g,y,FreqCycl);
            [Step] = ComputeOptimalStep(ComputeSignal(g,y),ComputeSignal(grad,y),FreqCycl);
            Newg = g+Step*grad;
        end    
        iIteration = iIteration+1;
    end

    % lignes suivantes ajoutees pour avoir sortie de puissance normalisee a 1
    r = ComputeSignal(g,y);
    g = g./sqrt(mean(abs(r).^2));